This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 998142 - wrong arguments for vncviewer under gnome-rdp
wrong arguments for vncviewer under gnome-rdp
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-rdp (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luis Bazan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 13:05 EDT by john casey
Modified: 2015-02-17 11:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:48:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john casey 2013-08-17 13:05:00 EDT
Description of problem:

Create a vnc session for gnome-rdp client.   Add server ip with vnc port (ex: 192.168.220.2:51), protocol - vnc, with a given profile. and idenentity. 

Then connect to the vnc session:  You will see nothing happen.  Check the log and look at the command line.  Missing server address, as follows.:

Information: Creating process for vncviewer  -user root -depth 24
Error: TigerVNC Viewer 64-bit v1.3.0 (20130724)
Error: Built on Jul 24 2013 at 16:42:04
Error: Copyright (C) 1999-2011 TigerVNC Team and many others (see README.txt)
Error: See http://www.tigervnc.org for information on TigerVNC.
Error: usage: /usr/bin/vncviewer [parameters] [host:displayNum] [parameters]
Error:        /usr/bin/vncviewer [parameters] -listen [port] [parameters]
Error: Options:
Error:   -display Xdisplay - Specifies the X display for the viewer window
Error:   -geometry geometry - Standard X position and sizing specification.
Error: Parameters can be turned on with -<param> or off with -<param>=0
Error: Parameters which take a value can be specified as -<param> <value>
Error: Other valid forms are <param>=<value> -<param>=<value> --<param>=<value>
Error: Parameter names are case-insensitive.  The parameters are:
Error: Global Parameters:
Error:   ZlibLevel      - Zlib compression level (default=-1)
Error:   Log            - Specifies which log output should be directed to which
Error:                    target logger, and the level of output to log. Format is
Error:                    <log>:<target>:<level>[, ...]. (default=)
Error:   ImprovedHextile - Use improved compression algorithm for Hextile encoding
Error:                    which achieves better compression ratios by the cost of
Error:                    using more CPU time (default=1)
Error:   via            - Gateway to tunnel via (default=)
Error:   FullscreenSystemKeys - Pass special keys (like Alt+Tab) directly to the
Error:                    server when in full screen mode. (default=1)
Error:   MenuKey        - The key which brings up the popup menu (default=F8)
Error:   SendPrimary    - Send the primary selection and cut buffer to the server as
Error:                    well as the clipboard selection (default=1)
Error:   SendClipboard  - Send clipboard changes to the server (default=1)
Error:   AcceptClipboard - Accept clipboard changes from the server (default=1)
Error:   Shared         - Don't disconnect other viewers upon connection - share the
Error:                    desktop instead (default=0)
Error:   ViewOnly       - Don't send any mouse or keyboard events to the server
Error:                    (default=0)
Error:   RemoteResize   - Dynamically resize the remote desktop size as the size of
Error:                    the local client window changes. (Does not work with all
Error:                    servers) (default=1)
Error:   listen         - Listen for connections from VNC servers (default=0)
Error:   geometry       - Specify size and position of viewer window (default=)
Error:   DesktopSize    - Reconfigure desktop size on the server on connect (if
Error:                    possible) (default=)
Error:   FullScreenAllMonitors - Enable full screen over all monitors (default=1)
Error:   FullScreen     - Full screen mode (default=0)
Error:   Maximize       - Maximize viewer window (default=0)
Error:   QualityLevel   - JPEG quality level. 0 = Low, 9 = High (default=8)
Error:   NoJPEG         - Disable lossy JPEG compression in Tight encoding.
Error:                    (default=0)
Error:   CompressLevel  - Use specified compression level 0 = Low, 6 = High
Error:                    (default=2)
Error:   CustomCompressLevel - Use custom compression level. Default if CompressLevel
Error:                    is specified. (default=0)
Error:   PreferredEncoding - Preferred encoding to use (Tight, ZRLE, Hextile or Raw)
Error:                    (default=Tight)
Error:   LowColourLevel - Alias for LowColorLevel
Error:   LowColorLevel  - Color level to use on slow connections. 0 = Very Low (8
Error:                    colors), 1 = Low (64 colors), 2 = Medium (256 colors)
Error:                    (default=2)
Error:   FullColour     - Alias for FullColor
Error:   FullColor      - Use full color (default=1)
Error:   AutoSelect     - Auto select pixel format and encoding. Default if
Error:                    PreferredEncoding and FullColor are not specified.
Error:                    (default=1)
Error:   passwd         - Alias for PasswordFile
Error:   PasswordFile   - Password file for VNC authentication (default=)
Error:   DotWhenNoCursor - Show the dot cursor when the server sends an invisible
Error:                    cursor (default=0)
Error:   PointerEventInterval - Time in milliseconds to rate-limit successive pointer
Error:                    events (default=0)
Error: Viewer Parameters:
Error:   x509crl        - X509 CRL file (default=)
Error:   x509ca         - X509 CA certificate (default=)
Error:   SecurityTypes  - Specify which security scheme to use (None, VncAuth)
Error:                    (default=VeNCrypt,X509Plain,TLSPlain,X509Vnc,TLSVnc,X509None,TLSNone,VncAuth,None)
Information: Process completed


Version-Release number of selected component (if applicable):


[root@prava-dev2 ~]# rpm -qa | grep gnome-rdp
gnome-rdp-0.3.1.0-5.fc19.x86_64


[root@prava-dev2 ~]# uname -a
Linux prava-dev2.home.lan 3.10.6-200.fc19.x86_64 #1 SMP Mon Aug 12 14:49:42 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

[root@prava-dev2 ~]# rpm -qa | grep gnome-rdp
gnome-rdp-0.3.1.0-5.fc19.x86_64


[root@prava-dev2 ~]# rpm -qa | grep vnc
tigervnc-server-1.3.0-3.fc19.x86_64
tigervnc-icons-1.3.0-3.fc19.noarch
tigervnc-server-module-1.3.0-3.fc19.x86_64
gtk-vnc2-0.5.2-1.fc19.x86_64
vnc-ltsp-config-4.0-11.fc19.noarch
libvncserver-0.9.9-7.fc19.x86_64
svncpp-0.12.1-2.fc19.x86_64
tigervnc-server-minimal-1.3.0-3.fc19.x86_64
tigervnc-license-1.3.0-3.fc19.noarch
tigervnc-server-applet-1.3.0-3.fc19.noarch
gvnc-0.5.2-1.fc19.x86_64
remmina-plugins-vnc-1.0.0-7.fc19.x86_64
tigervnc-1.3.0-3.fc19.x86_64
Comment 1 Mike Heller 2013-08-28 05:05:30 EDT
I've seen the same problem here.

unable to create successful any vnc profile within gnome-rdp and tigervnc:

Information: Creating process for vncviewer  -user xxxxx -depth 24 -encodings raw

Error: TigerVNC Viewer 32-bit v1.3.0 (20130724)
Error: Built on Jul 24 2013 at 16:44:53
Error: Copyright (C) 1999-2011 TigerVNC Team and many others (see README.txt)
Error: See http://www.tigervnc.org for information on TigerVNC.
Error: Wed Aug 28 10:59:46 2013




There is no hostname provided on the error log and the and the othre parameter aren't supported either from tigervnc.
Comment 2 john casey 2014-03-02 19:55:24 EST
bump
Comment 3 Fedora End Of Life 2015-01-09 14:29:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:48:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.